## ros-indigo-carl-interactive-manipulation 0.0.34

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_interactive_manipulation)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages

find_package(catkin REQUIRED COMPONENTS
  actionlib
  carl_moveit
  carl_safety
  geometry_msgs
  interactive_markers
  move_base_msgs
  rail_segmentation
  rail_pick_and_place_msgs
  roscpp
  sensor_msgs
  urdf
  visualization_msgs
  wpi_jaco_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(carl_interactive_manipulation src/carl_interactive_manipulation.cpp)
add_executable(create_parking_spots src/create_parking_spots.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(carl_interactive_manipulation
  ${catkin_LIBRARIES}
)
target_link_libraries(create_parking_spots
  ${catkin_LIBRARIES}
)
## Add cmake target dependencies of the executable/library
add_dependencies(${PROJECT_NAME} carl_safety_generate_messages_cpp wpi_jaco_msgs_gencpp rail_pick_and_place_msgs_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} create_parking_spots
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-carl-interactive-manipulation (0.0.34-0trusty) trusty; urgency=high

  * Update package.xml
  * Updates for new rail_manipulation_msgs
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.33-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 10 Aug 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.32-0trusty) trusty; urgency=high

  * Merge branch 'develop' of github.com:WPI-RAIL/carl_bot into develop
  * Added a parameter for carl interactive manipulation to create object markers from segmented objects instead of recognized objects
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.31-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.30-0trusty) trusty; urgency=high

  * Limited move while retracted feedback to publish at most every 5 seconds
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.29-0trusty) trusty; urgency=high

  * Lowered error level on retracted arm movement feedback
  * Added feedback on attempted arm move while arm is retracted
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.28-0trusty) trusty; urgency=high

  * Switched remove functionality to remove objects from the recognized list instead of the segmented list
  * Updated feedback message
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.27-0trusty) trusty; urgency=high

  * Debug statement cleanup
  * Connected IM with grasping and scene object attach/detach
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.26-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.25-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.24-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.23-0trusty) trusty; urgency=high

  * removed pickup from IM client
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.22-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.21-0trusty) trusty; urgency=high

  * removed recognition
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.20-0trusty) trusty; urgency=high

  * renamed topic
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.19-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.18-0trusty) trusty; urgency=high

  * Fixed a text placement bug on recognized markers
  * Switched recognition functionality in interactive manipulation to use the new shared recognition actions
  * Merge branch 'develop' of github.com:WPI-RAIL/carl_bot into develop
  * Switched to the new ready/retract action provided by carl_moveit_common_actions
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.17-0trusty) trusty; urgency=high

  * Added new recognition calls to carl_interactive_manipulation (note that pickup is still in progress and will not currently work)
  * updted message
  * Updated to reflect moving some messages from rail_segmentation to rail_manipulation_messages
  * Switched im to use new rail_manipulation_msgs
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.16-0trusty) trusty; urgency=high

  * Update package.xml
  * Merge pull request #25 from PeterMitrano/develop
    moved carl_parking to carl_interactive markers
  * removed timeout and added intsallation
  * Adjusted finger current thresholds
  * Put a small threshold on executing an arm interactive marker recovery behavior to prevent it from activating on accidental clicks
  * Adjustments for finger safety threshold.
  * Lengthened distance of arm recovery behavior
  * Documentation
  * moved ros spin
  * conformed to conventions
  * Safety override for interactive marker control
  * mend
  * improved oop-ness
  * removed unnessecary dependancy
  * parking spots correctly appear
  * improved oop structure. no statics
  * oop works, but is really bad oop
  * working on initializing static member
  * made ParkingSpots class
  * moved carl_parking to carl_interactive markers
  * Contributors: David Kent, Peter, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.15-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-carl-interactive-manipulation (0.0.14-0trusty) trusty; urgency=high

  * Switched home/retract actions to use motion planning, added home/retract/segment calls from joystick teleop
  * Contributors: David Kent

 -- David Kent <davidkent@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000



=== debian/control ===
Source: ros-indigo-carl-interactive-manipulation
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-carl-moveit, ros-indigo-carl-safety, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-move-base-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-rail-segmentation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-urdf, ros-indigo-visualization-msgs, ros-indigo-wpi-jaco-msgs
Homepage: http://ros.org/wiki/carl_bot
Standards-Version: 3.9.2

Package: ros-indigo-carl-interactive-manipulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-carl-moveit, ros-indigo-carl-safety, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-move-base-msgs, ros-indigo-rail-pick-and-place-msgs, ros-indigo-rail-segmentation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-urdf, ros-indigo-visualization-msgs, ros-indigo-wpi-jaco-msgs
Description: Interactive Manipulation for CARL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-interactive-manipulation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
